package com.inkasso;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.client.RestTemplate;

@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@EnableAsync
@EnableScheduling
public class ApplicationRun {

  public static void main(String[] args) {
    SpringApplication.run(ApplicationRun.class, args);
    System.out.println("========================启动成功============================");

  }

  @Bean
  public RestTemplate restTemplate(){

     return new RestTemplate();
  }
}
